const index = require('./views/index.html');

module.exports = (params) => {
    function buildScriptTag(el) {
        return `<script src="${params.htmlWebpackPlugin.files.chunks[el].entry}"></script>`;
    }

    const headInject = params.htmlWebpackPlugin.options.headInject.map(buildScriptTag).join('\n');
    const bodyInject = params.htmlWebpackPlugin.options.bodyInject.map(buildScriptTag).join('\n');

    return `
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>${params.htmlWebpackPlugin.options.title}</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
    <link rel="stylesheet" href="/assets/vendor.css">
    <script src="/assets/vendor.js"></script>
    ${headInject}
</head>
<body>
    ${index}
    ${bodyInject}
</body>
</html>
`;
};
